---
Tournament:
  name: Philadelphia Urban Invitational
  short name: Philly Urban Invitational
  location: Philadelphia High School for Girls
  state: PA
  level: Invitational
  division: C
  year: 2025
  medals: 4
  trophies: 4
  start date: 2025-02-08
  end date: 2025-02-08
  awards date: 2025-02-08
Events:
- name: Anatomy and Physiology
- name: Astronomy
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 1
  school: Academy at Palumbo
  suffix: Black
  city: Philadelphia
  state: PA
- number: 2
  school: Academy at Palumbo
  suffix: Teal
  city: Philadelphia
  state: PA
- number: 3
  school: George Washington Carver High School
  suffix: A
  city: Philadelphia
  state: PA
- number: 4
  school: Central High School
  suffix: A
  state: PA
- number: 5
  school: Central High School
  suffix: B
  state: PA
- number: 6
  school: George Washington High School
  suffix: A
  city: Philadelphia
  state: PA
- number: 7
  school: Julia R. Masterman Laboratory and Demonstration School
  school abbreviation: JR Masterman School
  suffix: Blue
  state: PA
- number: 8
  school: Julia R. Masterman Laboratory and Demonstration School
  school abbreviation: JR Masterman School
  suffix: White
  state: PA
- number: 9
  school: Julia R. Masterman Laboratory and Demonstration School
  school abbreviation: JR Masterman School
  suffix: Gray
  state: PA
- number: 10
  school: Northeast High School
  suffix: A
  state: PA
- number: 11
  school: Philadelphia High School for Creative and Performing Arts
  suffix: A
  state: PA
- number: 12
  school: Philadelphia High School for Girls
  suffix: Celsius
  state: PA
- number: 13
  school: Philadelphia High School for Girls
  suffix: Proton
  state: PA
- number: 14
  school: Roxborough High School
  suffix: A
  city: Philadelphia
  state: PA
- number: 15
  school: St. Joseph's Preparatory High School
  suffix: A
  state: PA
- number: 16
  school: Swenson Arts and Technology High School
  suffix: A
  state: PA
Placings:
- team: 1
  event: Anatomy and Physiology
  place: 12
- team: 1
  event: Astronomy
  place: 7
- team: 1
  event: Chemistry Lab
  place: 8
- team: 1
  event: Codebusters
  place: 12
- team: 1
  event: Disease Detectives
  place: 11
- team: 1
  event: Dynamic Planet
  place: 5
- team: 1
  event: Ecology
  place: 13
- team: 1
  event: Electric Vehicle
  place: 4
- team: 1
  event: Entomology
  place: 8
- team: 1
  event: Experimental Design
  place: 6
- team: 1
  event: Forensics
  place: 12
- team: 1
  event: Fossils
  place: 7
- team: 1
  event: Helicopter
  place: 7
- team: 1
  event: Materials Science
  place: 6
- team: 1
  event: Microbe Mission
  place: 6
- team: 1
  event: Optics
  place: 7
- team: 1
  event: Tower
  place: 8
- team: 1
  event: Wind Power
  place: 10
- team: 1
  event: Write It Do It
  place: 12
- team: 2
  event: Anatomy and Physiology
  place: 8
- team: 2
  event: Astronomy
  place: 3
- team: 2
  event: Chemistry Lab
  place: 2
- team: 2
  event: Codebusters
  place: 4
- team: 2
  event: Disease Detectives
  place: 6
- team: 2
  event: Dynamic Planet
  place: 1
- team: 2
  event: Ecology
  place: 11
- team: 2
  event: Electric Vehicle
  place: 1
- team: 2
  event: Entomology
  place: 10
- team: 2
  event: Experimental Design
  place: 3
- team: 2
  event: Forensics
  place: 6
- team: 2
  event: Fossils
  place: 2
- team: 2
  event: Helicopter
  place: 4
- team: 2
  event: Materials Science
  place: 1
- team: 2
  event: Microbe Mission
  place: 5
- team: 2
  event: Optics
  place: 6
- team: 2
  event: Tower
  place: 3
- team: 2
  event: Wind Power
  place: 7
- team: 2
  event: Write It Do It
  place: 14
- team: 3
  event: Anatomy and Physiology
  participated: false
- team: 3
  event: Astronomy
  place: 1
- team: 3
  event: Chemistry Lab
  participated: false
- team: 3
  event: Codebusters
  place: 11
- team: 3
  event: Disease Detectives
  participated: false
- team: 3
  event: Dynamic Planet
  participated: false
- team: 3
  event: Ecology
  place: 2
- team: 3
  event: Electric Vehicle
  participated: false
- team: 3
  event: Entomology
  place: 2
- team: 3
  event: Experimental Design
  place: 4
- team: 3
  event: Forensics
  participated: false
- team: 3
  event: Fossils
  place: 12
- team: 3
  event: Helicopter
  participated: false
- team: 3
  event: Materials Science
  participated: false
- team: 3
  event: Microbe Mission
  participated: false
- team: 3
  event: Optics
  place: 8
- team: 3
  event: Tower
  place: 7
- team: 3
  event: Wind Power
  place: 3
- team: 3
  event: Write It Do It
  place: 5
- team: 4
  event: Anatomy and Physiology
  place: 3
- team: 4
  event: Astronomy
  place: 2
- team: 4
  event: Chemistry Lab
  place: 4
- team: 4
  event: Codebusters
  place: 3
- team: 4
  event: Disease Detectives
  place: 1
- team: 4
  event: Dynamic Planet
  place: 8
- team: 4
  event: Ecology
  place: 6
- team: 4
  event: Electric Vehicle
  place: 2
- team: 4
  event: Entomology
  place: 6
- team: 4
  event: Experimental Design
  place: 8
- team: 4
  event: Forensics
  place: 2
- team: 4
  event: Fossils
  place: 10
- team: 4
  event: Helicopter
  place: 2
- team: 4
  event: Materials Science
  place: 5
- team: 4
  event: Microbe Mission
  place: 2
- team: 4
  event: Optics
  place: 4
- team: 4
  event: Tower
  place: 2
- team: 4
  event: Wind Power
  place: 5
- team: 4
  event: Write It Do It
  place: 2
- team: 5
  event: Anatomy and Physiology
  place: 6
- team: 5
  event: Astronomy
  place: 9
- team: 5
  event: Chemistry Lab
  place: 1
- team: 5
  event: Codebusters
  place: 10
- team: 5
  event: Disease Detectives
  place: 4
- team: 5
  event: Dynamic Planet
  place: 2
- team: 5
  event: Ecology
  place: 3
- team: 5
  event: Electric Vehicle
  place: 8
- team: 5
  event: Entomology
  place: 3
- team: 5
  event: Experimental Design
  place: 10
- team: 5
  event: Forensics
  place: 7
- team: 5
  event: Fossils
  place: 6
- team: 5
  event: Helicopter
  place: 6
- team: 5
  event: Materials Science
  place: 8
- team: 5
  event: Microbe Mission
  place: 7
- team: 5
  event: Optics
  place: 2
- team: 5
  event: Tower
  place: 1
- team: 5
  event: Wind Power
  place: 6
- team: 5
  event: Write It Do It
  place: 9
- team: 6
  event: Anatomy and Physiology
  place: 14
- team: 6
  event: Astronomy
  place: 12
- team: 6
  event: Chemistry Lab
  participated: false
- team: 6
  event: Codebusters
  participated: false
- team: 6
  event: Disease Detectives
  place: 9
- team: 6
  event: Dynamic Planet
  participated: false
- team: 6
  event: Ecology
  place: 9
- team: 6
  event: Electric Vehicle
  participated: false
- team: 6
  event: Entomology
  place: 7
- team: 6
  event: Experimental Design
  participated: false
- team: 6
  event: Forensics
  participated: false
- team: 6
  event: Fossils
  place: 13
- team: 6
  event: Helicopter
  participated: false
- team: 6
  event: Materials Science
  participated: false
- team: 6
  event: Microbe Mission
  participated: false
- team: 6
  event: Optics
  participated: false
- team: 6
  event: Tower
  participated: false
- team: 6
  event: Wind Power
  participated: false
- team: 6
  event: Write It Do It
  place: 11
- team: 7
  event: Anatomy and Physiology
  place: 7
- team: 7
  event: Astronomy
  place: 4
- team: 7
  event: Chemistry Lab
  place: 3
- team: 7
  event: Codebusters
  place: 1
- team: 7
  event: Disease Detectives
  place: 2
- team: 7
  event: Dynamic Planet
  place: 6
- team: 7
  event: Ecology
  place: 1
- team: 7
  event: Electric Vehicle
  place: 6
- team: 7
  event: Entomology
  place: 1
- team: 7
  event: Experimental Design
  place: 1
- team: 7
  event: Forensics
  place: 1
- team: 7
  event: Fossils
  place: 1
- team: 7
  event: Helicopter
  place: 1
- team: 7
  event: Materials Science
  place: 2
- team: 7
  event: Microbe Mission
  place: 3
- team: 7
  event: Optics
  place: 3
- team: 7
  event: Tower
  place: 5
- team: 7
  event: Wind Power
  place: 4
- team: 7
  event: Write It Do It
  place: 3
- team: 8
  event: Anatomy and Physiology
  place: 1
- team: 8
  event: Astronomy
  place: 5
- team: 8
  event: Chemistry Lab
  participated: false
- team: 8
  event: Codebusters
  place: 6
- team: 8
  event: Disease Detectives
  place: 5
- team: 8
  event: Dynamic Planet
  place: 4
- team: 8
  event: Ecology
  place: 4
- team: 8
  event: Electric Vehicle
  place: 5
- team: 8
  event: Entomology
  place: 4
- team: 8
  event: Experimental Design
  place: 12
- team: 8
  event: Forensics
  place: 5
- team: 8
  event: Fossils
  place: 5
- team: 8
  event: Helicopter
  place: 3
- team: 8
  event: Materials Science
  place: 7
- team: 8
  event: Microbe Mission
  place: 4
- team: 8
  event: Optics
  place: 11
- team: 8
  event: Tower
  place: 4
- team: 8
  event: Wind Power
  place: 1
- team: 8
  event: Write It Do It
  place: 4
- team: 9
  event: Anatomy and Physiology
  place: 4
- team: 9
  event: Astronomy
  participated: false
- team: 9
  event: Chemistry Lab
  participated: false
- team: 9
  event: Codebusters
  place: 8
- team: 9
  event: Disease Detectives
  participated: false
- team: 9
  event: Dynamic Planet
  participated: false
- team: 9
  event: Ecology
  participated: false
- team: 9
  event: Electric Vehicle
  participated: false
- team: 9
  event: Entomology
  participated: false
- team: 9
  event: Experimental Design
  place: 7
- team: 9
  event: Forensics
  place: 10
- team: 9
  event: Fossils
  participated: false
- team: 9
  event: Helicopter
  participated: false
- team: 9
  event: Materials Science
  participated: false
- team: 9
  event: Microbe Mission
  participated: false
- team: 9
  event: Optics
  place: 9
- team: 9
  event: Tower
  participated: false
- team: 9
  event: Wind Power
  participated: false
- team: 9
  event: Write It Do It
  place: 1
- team: 10
  event: Anatomy and Physiology
  place: 9
- team: 10
  event: Astronomy
  place: 11
- team: 10
  event: Chemistry Lab
  place: 5
- team: 10
  event: Codebusters
  place: 9
- team: 10
  event: Disease Detectives
  place: 8
- team: 10
  event: Dynamic Planet
  place: 10
- team: 10
  event: Ecology
  place: 8
- team: 10
  event: Electric Vehicle
  participated: false
- team: 10
  event: Entomology
  participated: false
- team: 10
  event: Experimental Design
  place: 9
- team: 10
  event: Forensics
  place: 4
- team: 10
  event: Fossils
  place: 9
- team: 10
  event: Helicopter
  participated: false
- team: 10
  event: Materials Science
  place: 9
- team: 10
  event: Microbe Mission
  place: 8
- team: 10
  event: Optics
  participated: false
- team: 10
  event: Tower
  participated: false
- team: 10
  event: Wind Power
  place: 11
- team: 10
  event: Write It Do It
  place: 10
- team: 11
  event: Anatomy and Physiology
  place: 5
- team: 11
  event: Astronomy
  place: 6
- team: 11
  event: Chemistry Lab
  participated: false
- team: 11
  event: Codebusters
  place: 7
- team: 11
  event: Disease Detectives
  place: 7
- team: 11
  event: Dynamic Planet
  place: 9
- team: 11
  event: Ecology
  place: 12
- team: 11
  event: Electric Vehicle
  participated: false
- team: 11
  event: Entomology
  place: 11
- team: 11
  event: Experimental Design
  place: 13
- team: 11
  event: Forensics
  place: 9
- team: 11
  event: Fossils
  place: 3
- team: 11
  event: Helicopter
  participated: false
- team: 11
  event: Materials Science
  participated: false
- team: 11
  event: Microbe Mission
  place: 10
- team: 11
  event: Optics
  participated: false
- team: 11
  event: Tower
  participated: false
- team: 11
  event: Wind Power
  place: 9
- team: 11
  event: Write It Do It
  place: 7
- team: 12
  event: Anatomy and Physiology
  place: 2
- team: 12
  event: Astronomy
  place: 8
- team: 12
  event: Chemistry Lab
  place: 7
- team: 12
  event: Codebusters
  place: 2
- team: 12
  event: Disease Detectives
  place: 13
- team: 12
  event: Dynamic Planet
  place: 7
- team: 12
  event: Ecology
  place: 5
- team: 12
  event: Electric Vehicle
  place: 3
- team: 12
  event: Entomology
  place: 5
- team: 12
  event: Experimental Design
  place: 2
- team: 12
  event: Forensics
  place: 3
- team: 12
  event: Fossils
  place: 4
- team: 12
  event: Helicopter
  place: 5
- team: 12
  event: Materials Science
  place: 3
- team: 12
  event: Microbe Mission
  place: 1
- team: 12
  event: Optics
  place: 1
- team: 12
  event: Tower
  place: 9
- team: 12
  event: Wind Power
  place: 8
- team: 12
  event: Write It Do It
  place: 6
- team: 13
  event: Anatomy and Physiology
  place: 13
- team: 13
  event: Astronomy
  participated: false
- team: 13
  event: Chemistry Lab
  participated: false
- team: 13
  event: Codebusters
  participated: false
- team: 13
  event: Disease Detectives
  place: 12
- team: 13
  event: Dynamic Planet
  participated: false
- team: 13
  event: Ecology
  place: 7
- team: 13
  event: Electric Vehicle
  participated: false
- team: 13
  event: Entomology
  participated: false
- team: 13
  event: Experimental Design
  place: 11
- team: 13
  event: Forensics
  place: 13
- team: 13
  event: Fossils
  place: 11
- team: 13
  event: Helicopter
  participated: false
- team: 13
  event: Materials Science
  participated: false
- team: 13
  event: Microbe Mission
  participated: false
- team: 13
  event: Optics
  place: 10
- team: 13
  event: Tower
  participated: false
- team: 13
  event: Wind Power
  participated: false
- team: 13
  event: Write It Do It
  participated: false
- team: 14
  event: Anatomy and Physiology
  place: 15
- team: 14
  event: Astronomy
  participated: false
- team: 14
  event: Chemistry Lab
  participated: false
- team: 14
  event: Codebusters
  participated: false
- team: 14
  event: Disease Detectives
  participated: false
- team: 14
  event: Dynamic Planet
  participated: false
- team: 14
  event: Ecology
  place: 15
- team: 14
  event: Electric Vehicle
  participated: false
- team: 14
  event: Entomology
  participated: false
- team: 14
  event: Experimental Design
  place: 14
- team: 14
  event: Forensics
  participated: false
- team: 14
  event: Fossils
  place: 14
- team: 14
  event: Helicopter
  participated: false
- team: 14
  event: Materials Science
  participated: false
- team: 14
  event: Microbe Mission
  participated: false
- team: 14
  event: Optics
  participated: false
- team: 14
  event: Tower
  participated: false
- team: 14
  event: Wind Power
  participated: false
- team: 14
  event: Write It Do It
  participated: false
- team: 15
  event: Anatomy and Physiology
  place: 11
- team: 15
  event: Astronomy
  place: 10
- team: 15
  event: Chemistry Lab
  place: 6
- team: 15
  event: Codebusters
  place: 5
- team: 15
  event: Disease Detectives
  place: 3
- team: 15
  event: Dynamic Planet
  place: 3
- team: 15
  event: Ecology
  place: 10
- team: 15
  event: Electric Vehicle
  place: 7
- team: 15
  event: Entomology
  place: 9
- team: 15
  event: Experimental Design
  place: 5
- team: 15
  event: Forensics
  place: 8
- team: 15
  event: Fossils
  place: 8
- team: 15
  event: Helicopter
  participated: true
- team: 15
  event: Materials Science
  place: 4
- team: 15
  event: Microbe Mission
  place: 9
- team: 15
  event: Optics
  place: 5
- team: 15
  event: Tower
  place: 6
- team: 15
  event: Wind Power
  place: 2
- team: 15
  event: Write It Do It
  place: 8
- team: 16
  event: Anatomy and Physiology
  place: 10
- team: 16
  event: Astronomy
  participated: false
- team: 16
  event: Chemistry Lab
  participated: false
- team: 16
  event: Codebusters
  participated: false
- team: 16
  event: Disease Detectives
  place: 10
- team: 16
  event: Dynamic Planet
  participated: false
- team: 16
  event: Ecology
  place: 14
- team: 16
  event: Electric Vehicle
  participated: false
- team: 16
  event: Entomology
  participated: false
- team: 16
  event: Experimental Design
  participated: false
- team: 16
  event: Forensics
  place: 11
- team: 16
  event: Fossils
  participated: false
- team: 16
  event: Helicopter
  participated: false
- team: 16
  event: Materials Science
  participated: false
- team: 16
  event: Microbe Mission
  place: 11
- team: 16
  event: Optics
  participated: false
- team: 16
  event: Tower
  participated: false
- team: 16
  event: Wind Power
  participated: false
- team: 16
  event: Write It Do It
  place: 13
